Setting constraint for a range (dial) widget usability problems

2016-10-02 02:22 AM - Tudor Bărăscu

Status: Closed

Priority: Normal

Assignee:

Category: Edit widget

Affected QGIS version:2.16.3 Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 23572

Description

Setting a range (dial) widget with a constraint and hitting that constraint while using the dial wheel shows the invalid field message above,

thus pushing the dial wheel down and loosing mouse focus.

If you look at the following gif, when hitting a year bigger than current year (2016).. the problem is clear:

problem.gif

History

#1 - 2016-10-03 05:54 AM - Giedrius Vaivilavičius

- File now.png added

- File case.png added

- File infalid_fields.png added

I have a similar problem.

When constraint Expression dialog write "NOW ()", "identifier" IS NOT NULL "or other, I form writes the "invalid field".

QGIS 2.16.3, OS Debian 8

#2 - 2016-10-04 10:42 PM - Tudor Bărăscu

- Assignee set to neteler-itc-it -

Hi. You should open another ticket as although your problem touches widget constraints the issue is different.

On the other hand, I don't understand what are you saying, did you put NOW as a constraint to the date field?

#3 - 2016-10-04 10:43 PM - Tudor Bărăscu

- Assignee deleted (neteler-itc-it -)

#4 - 2017-05-01 01:03 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#5 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution set to end of life
- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
